net.sourceforge.pmd.ast

## Class ASTFieldDeclarationTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.ParserTst
  - - net.sourceforge.pmd.ast.ASTFieldDeclarationTest

    public class ASTFieldDeclarationTest
    extends ParserTst

### Constructor Summary

Constructors
Constructor and Description
`ASTFieldDeclarationTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testGetVariableName()`
`void` `testIsArray()`
`void` `testIsSyntacticallyPublic()`
`void` `testMultiDimensionalArray()`
`void` `testWithEnum()`

### Methods inherited from class net.sourceforge.pmd.testframework.ParserTst

`buildDFA, getNodes, getNodes, getOrderedNodes, parseJava, parseJava13, parseJava14, parseJava15, parseJava17`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ASTFieldDeclarationTest

    public ASTFieldDeclarationTest()

### Method Detail

#### testIsArray

    public void testIsArray()

#### testMultiDimensionalArray

    public void testMultiDimensionalArray()

#### testIsSyntacticallyPublic

    public void testIsSyntacticallyPublic()

#### testWithEnum

    public void testWithEnum()

#### testGetVariableName

    public void testGetVariableName()

#### suite

    public static junit.framework.Test suite()